Bug 167382 - *** Error: Invalid owner_id: 00 - IBM Thinkpad T21, T22
*** Error: Invalid owner_id: 00 - IBM Thinkpad T21, T22
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 01:31 EDT by wilksen
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wilksen 2005-09-02 01:31:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
After upgrading from kernel-2.6.12-1.1398_FC4 to kernel-2.6.12-1.1447_FC4 acpi
seems to be broken on a IBM Thinkpad T22. Suspending to RAM does work successfully
but it hangs when trying to resume (regardless of using X11 or not). The bootlog
actually shows errors when initializing ACPI during startup:

...
Sep  2 00:40:57 localhost kernel: ACPI: bus type pci registered
Sep  2 00:40:57 localhost kernel: PCI: PCI BIOS revision 2.10 entry at 0xfd94f, last bus=7
Sep  2 00:40:57 localhost kernel: PCI: Using configuration type 1
Sep  2 00:40:57 localhost kernel: mtrr: v2.0 (20020519)
Sep  2 00:40:57 localhost kernel: ACPI: Subsystem revision 20050729
Sep  2 00:40:57 localhost kernel:     ACPI-0145: *** Error: Invalid owner_id: 00
Sep  2 00:40:57 localhost kernel: ACPI: Interpreter enabled
Sep  2 00:40:57 localhost kernel: ACPI: Using PIC for interrupt routing
Sep  2 00:40:57 localhost kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11)
Sep  2 00:40:57 localhost kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
Sep  2 00:40:57 localhost kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11)
Sep  2 00:40:57 localhost kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
Sep  2 00:40:57 localhost kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Sep  2 00:40:57 localhost kernel: PCI: Probing PCI hardware (bus 00)
Sep  2 00:40:57 localhost kernel: ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
Sep  2 00:40:58 localhost kernel: ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
Sep  2 00:40:58 localhost auditd[2253]: Init complete, auditd 1.0.3 listening for events
Sep  2 00:40:58 localhost kernel: ACPI: Power Resource [PSER] (off)
Sep  2 00:40:58 localhost kernel: ACPI: Power Resource [PSIO] (on)
Sep  2 00:40:58 localhost kernel: ACPI: Embedded Controller [EC] (gpe 9)
...

The same error message also shows up when suspending or resuming - couldn't
figure out up to when exactly:
Sep  1 23:14:49 localhost kernel:     ACPI-0145: *** Error: Invalid owner_id: 00
Sep  1 23:14:52 localhost last message repeated 3 times


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1.Reboot Thinkpad.
2.Suspend using either Fn-F4 or closing the lid (scripts are setup and worked
  with -1398_FC4.
3.Resume by using either hitting Fn or opening the lid.


Actual Results:  Resume hangs in PCI calls.

Expected Results:  Resume back to running system as it did with the -1398_FC4 kernel.

Additional info:
Comment 1 Anders Montonen 2005-09-14 12:03:30 EDT
I also see this on a Thinkpad T21, 2647-4AG
Comment 2 Dave Jones 2005-09-30 02:50:55 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Dave Jones 2005-11-10 14:58:03 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Len Brown 2006-01-18 04:15:38 EST
Still an issue?
Comment 5 Dave Jones 2006-02-03 00:51:44 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 wilksen 2006-02-03 08:36:05 EST
With the current kernel version 2.6.15-1.1830_FC4 I don't see the above mentioned
issue anymore. So it's fixed for me.

Note You need to log in before you can comment on or make changes to this bug.